rb_blocking_region_buffer Struct Reference

## Data Fields

enum rb_thread_status | prev_status
struct rb_unblock_callback | oldubf

## Detailed Description

Definition at line 89 of file thread.c.

## Field Documentation

struct rb_unblock_callback rb_blocking_region_buffer::oldubf

Definition at line 91 of file thread.c.

Referenced by blocking_region_end().

enum rb_thread_status rb_blocking_region_buffer::prev_status

Definition at line 90 of file thread.c.

Referenced by blocking_region_end().

The documentation for this struct was generated from the following file:

- thread.c